package org.mte.numecoeval.expositiondonneesentrees.domain.ports.output;

import org.mte.numecoeval.expositiondonneesentrees.referentiels.generated.api.model.*;

import java.util.List;

public interface ReferentielServicePort {
    boolean hasMixElec(String pays);

    List<TypeEquipementDTO> getAllTypesEquipement();

    CorrespondanceRefEquipementDTO getCorrespondance(String modele);

    ImpactEquipementDTO getImpactEquipement(String refEquipement, String critere, String etape);

    List<EtapeDTO> getAllEtapes();

    List<CritereDTO> getAllCriteres();

}
